PHP ��U
前一頁 |  | 下一頁

# curl_setopt_array

(PHP 5 CVS only)

curl_setopt_array -- Set multiple options for a CURL transfer

## Description

bool curl_setopt_array ( resource ch, array options )

Sets multiple options for a CURL session. This function is useful for setting a large amount of CURL options without repetitively calling curl_setopt().

## Parameters

ch

  The CURL session the options should be set for.

options

  An array specifying which options to set and their values. The keys should be valid curl_setopt() constants or their integer equivalents.

## Return Values

Returns `TRUE` if all options were successfully set. If an option could not be successfully set, `FALSE` is immediately returned, ignoring any future options in the options array.

## �d��

範例 1. Initializing a new CURL session and fetching a webpage

`<?php // create a new CURL resource $ch = curl_init(); // set URL and other appropriate options $options = array(CURLOPT_URL => 'http://www.example.com/', CURLOPT_HEADER => false ); curl_setopt_array($ch, $options); // grab URL and pass it to the browser curl_exec($ch); // close CURL resource, and free up system resources curl_close($ch); ?>`

## �Ѧ�

curl_setopt()

前一頁 | 內容 | 下一頁
curl_multi_select | 上一層 | curl_setopt